%{?nodejs_find_provides_and_requires}
%global packagename delegates
%global enable_tests 1
Name:		nodejs-delegates
Version:	1.0.0
Release:	1
Summary:	Delegate methods and accessors to another property
License:	MIT
URL:		https://github.com/visionmedia/node-delegates.git
Source0:	https://registry.npmjs.org/delegates/-/delegates-%{version}.tgz
BuildArch:	noarch
ExclusiveArch:       %{nodejs_arches} noarch
BuildRequires:       	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:       	mocha 	npm(should)
%endif

%description
Delegate methods and accessors to another property

%prep
%setup -q -n package

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}
%nodejs_symlink_deps
%if 0%{?enable_tests}

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%{_bindir}/mocha -R spec --require should
%endif

%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license License
%{nodejs_sitelib}/%{packagename}

%changelog
* Tue Aug 18 2020 leiju <leiju4@huawei.com> - 1.0.0-1
- Package init
